namespace Brizco.Domain.CommandQueries.Commands;

public record CreateShiftPlanCommand(long PlanDate,Guid ShiftId,Guid RoutineId,Guid SupervisionUserId, List<KeyValuePair<Guid,Guid>> UserAndPositionIds)
    :IRequest<ShiftPlanLDto>;

public record UpdateShiftPlanCommand(Guid Id,long PlanDate, Guid ShiftId, Guid RoutineId, Guid SupervisionUserId, List<KeyValuePair<Guid, Guid>> UserAndPositionIds)
    : IRequest<bool>;

public record DeleteShiftPlanCommand(Guid Id)
    : IRequest<bool>;